NXWidgets: NXWidgets::CKeypad Class Reference

NXWidgets 1.19

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NXWidgets::CKeypad Class Reference

`#include <ckeypad.hxx>`

Inheritance diagram for NXWidgets::CKeypad:

## Public Member Functions
| CKeypad (CWidgetControl *pWidgetControl, NXHANDLE hNxServer, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height, CWidgetStyle *style=(CWidgetStyle *) NULL)
| ~CKeypad (void)
const bool | isNumericKeypad (void) const
void | setKeypadMode (bool numeric)
virtual void | onClick (nxgl_coord_t x, nxgl_coord_t y)
Public Member Functions inherited from NXWidgets::CButtonArray
| CButtonArray (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, uint8_t buttonColumns, uint8_t buttonRows, nxgl_coord_t buttonWidth, nxgl_coord_t buttonHeight, CWidgetStyle *style=(CWidgetStyle *) NULL)
| ~CButtonArray (void)
virtual const CNxString & | getText (int column, int row) const
virtual void | setText (int column, int row, const CNxString &text)
virtual bool | isButtonClicked (int &column, int &row) const
virtual bool | isThisButtonClicked (int column, int row) const
virtual void | cursor (bool cursorOn)
virtual bool | getCursorPosition (int &column, int &row) const
virtual bool | setCursorPosition (int column, int row)
virtual bool | isCursorPosition (int column, int row) const
virtual void | getPreferredDimensions (CRect &rect) const
virtual void | setFont (CNxFont *font)
Public Member Functions inherited from NXWidgets::CNxWidget
| CNxWidget (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height, uint32_t flags, FAR const CWidgetStyle *style=(FAR const CWidgetStyle *) NULL)
virtual | ~CNxWidget (void)
nxgl_coord_t | getX (void) const
nxgl_coord_t | getY (void) const
nxgl_coord_t | getRelativeX (void) const
nxgl_coord_t | getRelativeY (void) const
bool | hasFocus (void) const
bool | isDeleted (void) const
bool | isDrawingEnabled (void) const
bool | isHidden (void) const
bool | isEnabled (void) const
bool | isPermeable (void) const
bool | isDoubleClickable (void) const
bool | isBorderless (void) const
bool | isClicked (void) const
bool | isBeingDragged (void) const
nxgl_coord_t | getWidth (void) const
nxgl_coord_t | getHeight (void) const
void | getSize (struct nxgl_size_s &size) const
void | getPos (struct nxgl_point_s &pos) const
CRect | getBoundingBox (void)
void | getBorderSize (WidgetBorderSize &borderSize)
CNxWidget * | getParent (void) const
CNxWidget * | getFocusedWidget (void)
void | getClientRect (CRect &rect) const
void | getRect (CRect &rect) const
CNxFont * | getFont (void) const
nxgl_mxpixel_t | getBackgroundColor (void) const
nxgl_mxpixel_t | getSelectedBackgroundColor (void) const
nxgl_mxpixel_t | getShineEdgeColor (void) const
nxgl_mxpixel_t | getShadowEdgeColor (void) const
nxgl_mxpixel_t | getHighlightColor (void) const
nxgl_mxpixel_t | getDisabledTextColor (void) const
nxgl_mxpixel_t | getEnabledTextColor (void) const
nxgl_mxpixel_t | getSelectedTextColor (void) const
const CWidgetStyle * | getWidgetStyle () const
void | setBorderless (bool isBorderless)
void | setDraggable (bool isDraggable)
void | setPermeable (bool permeable)
void | setDoubleClickable (bool doubleClickable)
void | addWidgetEventHandler (CWidgetEventHandler *eventHandler)
void | removeWidgetEventHandler (CWidgetEventHandler *eventHandler)
int | nWidgetEventHandlers (void) const
void | setRaisesEvents (bool raises)
bool | raisesEvents (void) const
void | disableDrawing (void)
void | enableDrawing (void)
void | setBackgroundColor (nxgl_mxpixel_t color)
void | setSelectedBackgroundColor (nxgl_mxpixel_t color)
void | setShineEdgeColor (nxgl_mxpixel_t color)
void | setShadowEdgeColor (nxgl_mxpixel_t color)
void | setHighlightColor (nxgl_mxpixel_t color)
void | setDisabledTextColor (nxgl_mxpixel_t color)
void | setEnabledTextColor (nxgl_mxpixel_t color)
void | setSelectedTextColor (nxgl_mxpixel_t color)
void | redraw (void)
bool | enable (void)
bool | disable (void)
void | close (void)
bool | show (void)
bool | hide (void)
virtual bool | click (nxgl_coord_t x, nxgl_coord_t y)
virtual bool | isDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | doubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | release (nxgl_coord_t x, nxgl_coord_t y)
bool | drag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
bool | keyPress (nxwidget_char_t key)
bool | cursorControl (ECursorControl control)
bool | focus (void)
bool | blur (void)
bool | moveTo (nxgl_coord_t x, nxgl_coord_t y)
bool | resize (nxgl_coord_t width, nxgl_coord_t height)
bool | changeDimensions (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height)
void | moveChildToDeleteQueue (CNxWidget *widget)
void | setFocusedWidget (CNxWidget *widget)
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y) const
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height) const
bool | checkCollision (CNxWidget *widget) const
void | addWidget (CNxWidget *widget)
void | insertWidget (CNxWidget *widget)
void | setParent (CNxWidget *parent)
void | destroy (void)
bool | remove (void)
bool | removeChild (CNxWidget *widget)
const CNxWidget * | getChild (int index) const
int | getChildCount (void) const
void | setBorderSize (const WidgetBorderSize &borderSize)

## Protected Member Functions
void | configureKeypadMode (void)
| CKeypad (const CKeypad &keypad)
Protected Member Functions inherited from NXWidgets::CButtonArray
virtual void | drawContents (CGraphicsPort *port)
virtual void | drawBorder (CGraphicsPort *port)
virtual void | drawButton (CGraphicsPort *port, int column, int row, bool useClicked)
virtual void | onPreRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onReleaseOutside (nxgl_coord_t x, nxgl_coord_t y)
virtual bool | posToButton (nxgl_coord_t x, nxgl_coord_t y, int &column, int &row)
virtual void | onTextChange (void)
| CButtonArray (const CButtonArray &button)
Protected Member Functions inherited from NXWidgets::CNxWidget
void | useWidgetStyle (const CWidgetStyle *style)
void | drawChildren (void)
void | closeChild (CNxWidget *widget)
void | startDragging (nxgl_coord_t x, nxgl_coord_t y)
void | stopDragging (nxgl_coord_t x, nxgl_coord_t y)
| CNxWidget (const CNxWidget &widget)
virtual void | onDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDrag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
virtual void | onDragStart (void)
virtual void | onDragStop (void)
virtual void | onFocus (void)
virtual void | onBlur (void)
virtual void | onEnable (void)
virtual void | onDisable (void)
virtual void | onResize (nxgl_coord_t width, nxgl_coord_t height)

## Protected Attributes
NXHANDLE | m_hNxServer
bool | m_numeric
Protected Attributes inherited from NXWidgets::CButtonArray
uint8_t | m_buttonColumns
uint8_t | m_buttonRows
bool | m_redrawButton
bool | m_cursorOn
bool | m_cursorChange
nxgl_coord_t | m_buttonWidth
nxgl_coord_t | m_buttonHeight
nxgl_coord_t | m_clickX
nxgl_coord_t | m_clickY
uint8_t | m_cursorColumn
uint8_t | m_cursorRow
CNxString * | m_buttonText
Protected Attributes inherited from NXWidgets::CNxWidget
CWidgetControl * | m_widgetControl
CRect | m_rect
nxgl_coord_t | m_grabPointX
nxgl_coord_t | m_grabPointY
nxgl_coord_t | m_newX
nxgl_coord_t | m_newY
CWidgetStyle | m_style
Flags | m_flags
CWidgetEventHandlerList * | m_widgetEventHandlers
struct timespec | m_lastClickTime
nxgl_coord_t | m_lastClickX
nxgl_coord_t | m_lastClickY
int | m_doubleClickBounds
CNxWidget * | m_parent
CNxWidget * | m_focusedChild
TNxArray< CNxWidget * > | m_children
WidgetBorderSize | m_borderSize

## Additional Inherited Members
Public Types inherited from NXWidgets::CNxWidget
enum | WidgetFlagType { WIDGET_BORDERLESS = 0x0001, WIDGET_DRAGGABLE = 0x0002, WIDGET_PERMEABLE = 0x0004, WIDGET_DOUBLE_CLICKABLE = 0x0008, WIDGET_NO_RAISE_EVENTS = 0x0010 }

## Detailed Description

Extends the CButtonArray class to support a alphanumeric keypad.

Definition at line 75 of file ckeypad.hxx.

## Constructor & Destructor Documentation

## ◆ CKeypad() [1/2]

NXWidgets::CKeypad::CKeypad | ( | const CKeypad & | keypad | ) |
| inlineprotected

Copy constructor is protected to prevent usage.

Definition at line 91 of file ckeypad.hxx.

## ◆ CKeypad() [2/2]

CKeypad::CKeypad | ( | CWidgetControl * | pWidgetControl,
|  | NXHANDLE | hNxServer,
|  | nxgl_coord_t | x,
|  | nxgl_coord_t | y,
|  | nxgl_coord_t | width,
|  | nxgl_coord_t | height,
|  | CWidgetStyle * | style = `(CWidgetStyle *)NULL`
| ) |  |

Constructor for buttons that display a string.

Parameters

  pWidgetControl | The widget control for the display.
  hNxServer | The NX server that will receive the keyboard input
  x | The x coordinate of the keypad, relative to its parent.
  y | The y coordinate of the keypad, relative to its parent.
  width | The width of the keypad
  height | The height of the keypad
  style | The style that the button should use. If this is not specified, the button will use the global default widget style.

Definition at line 105 of file ckeypad.cxx.

## ◆ ~CKeypad()

NXWidgets::CKeypad::~CKeypad | ( | void |  | ) |
| inline

CKeypad Destructor.

Definition at line 118 of file ckeypad.hxx.

## Member Function Documentation

## ◆ configureKeypadMode()

void CKeypad::configureKeypadMode | ( | void |  | ) |
| protected

Configure the keypad for the currenly selected display mode.

Definition at line 190 of file ckeypad.cxx.

## ◆ isNumericKeypad()

const bool NXWidgets::CKeypad::isNumericKeypad | ( | void |  | ) | const
| inline

Returns the current keypad display mode

Returns
  True: keypad is in numeric mode. False: alphanumeric.

Definition at line 126 of file ckeypad.hxx.

## ◆ onClick()

void CKeypad::onClick | ( | nxgl_coord_t | x,
|  | nxgl_coord_t | y
| ) |  |
| virtual

Catch button clicks.

Parameters

  x | The x coordinate of the click.
  y | The y coordinate of the click.

Reimplemented from NXWidgets::CButtonArray.

Definition at line 130 of file ckeypad.cxx.

## ◆ setKeypadMode()

void NXWidgets::CKeypad::setKeypadMode | ( | bool | numeric | ) |
| inline

Returns the current keypad display mode

Parameters

  mode | True: put keypad in numeric mode. False: in alphanumeric.

Definition at line 137 of file ckeypad.hxx.

## Member Data Documentation

## ◆ m_hNxServer

NXHANDLE NXWidgets::CKeypad::m_hNxServer
| protected

NX server handle

Definition at line 78 of file ckeypad.hxx.

## ◆ m_numeric

bool NXWidgets::CKeypad::m_numeric
| protected

True: Numeric keypad, False: Alpha

Definition at line 79 of file ckeypad.hxx.

The documentation for this class was generated from the following files:

- ckeypad.hxx
- ckeypad.cxx